%define distrib_name Mandrakelinux
%define group Books/Computer books
%define libdrakx %{_prefix}/lib/libDrakX

Name:		mandrake-doc
Summary:	%distrib_name documentation
Version:	10.2
Release:	2mdk
License:	%distrib_name documentation license
Group:		%group
Url:		http://mandrakelinux.com/en/doc/project/

Source0:	%name-%version.tar.bz2
Source1:	%name.tar.bz2

Buildroot:	%_tmppath/%name-%version-%release-root
BuildArch:	noarch
BuildRequires: 	Borges-DocBook
BuildRequires:	docbook-dtd42-xml
BuildRequires:	tetex-cmsuper
BuildRequires:  locales-en
BuildRequires:  locales-fr
BuildRequires:  locales-it
BuildRequires:  locales-de
BuildRequires:  locales-es


%define LANGS en fr it de es

%description
This package contains some useful documentation for %distrib_name systems.
This documentation is directly accessible through the menus.


%package Drakxtools-Guide-en
Summary:        The %distrib_name manuals in English
Group:          %group
Requires:       locales-en
Requires:       mandrake-doc-common = %version-%release
Obsoletes:      mandrake_doc-drakxtools-en
Provides:       mandrake_doc-drakxtools-en = %version
Obsoletes:      mandrake-doc-drakxtools-en
Provides:       mandrake-doc-drakxtools-en = %version

%description Drakxtools-Guide-en
This package contains some useful documentation for %distrib_name systems.
This documentation is directly accessible through the main menu.

%package Starter-en
Summary:        The %distrib_name manuals in English
Group:          %group
Requires:       locales-en
Requires:       mandrake-doc-common = %version-%release
Obsoletes:      mandrake_doc-en
Provides:       mandrake_doc-en = %version
Obsoletes:      mandrake-doc-en
Provides:       mandrake-doc-en = %version

%description Starter-en
This package contains some useful documentation for %distrib_name systems.
This documentation is directly accessible through the main menu.

%package Command-Line-en
Summary:        The %distrib_name manuals in English
Group:          %group
Requires:       locales-en
Requires:       mandrake-doc-common = %version-%release
Obsoletes:      mandrake_doc-en
Provides:       mandrake_doc-en = %version
Obsoletes:      mandrake-doc-en
Provides:       mandrake-doc-en = %version

%description Command-Line-en
This package contains some useful documentation for %distrib_name systems.
This documentation is directly accessible through the main menu.

%package Drakxtools-Guide-fr
Summary:        The %distrib_name manuals in French
Group:          %group
Requires:       locales-fr
Requires:       mandrake-doc-common = %version-%release
Obsoletes:      mandrake_doc-drakxtools-fr
Provides:       mandrake_doc-drakxtools-fr = %version
Obsoletes:      mandrake-doc-drakxtools-fr
Provides:       mandrake-doc-drakxtools-fr = %version

%description Drakxtools-Guide-fr
This package contains some useful documentation for %distrib_name systems.
This documentation is directly accessible through the main menu.

%package Starter-fr
Summary:        The %distrib_name manuals in French
Group:          %group
Requires:       locales-fr
Requires:       mandrake-doc-common = %version-%release
Obsoletes:      mandrake_doc-fr
Provides:       mandrake_doc-fr = %version
Obsoletes:      mandrake-doc-fr
Provides:       mandrake-doc-fr = %version

%description Starter-fr
This package contains some useful documentation for %distrib_name systems.
This documentation is directly accessible through the main menu.

%package Command-Line-fr
Summary:        The %distrib_name manuals in French
Group:          %group
Requires:       locales-fr
Requires:       mandrake-doc-common = %version-%release
Obsoletes:      mandrake_doc-fr
Provides:       mandrake_doc-fr = %version
Obsoletes:      mandrake-doc-fr
Provides:       mandrake-doc-fr = %version

%description Command-Line-fr
This package contains some useful documentation for %distrib_name systems.
This documentation is directly accessible through the main menu.

%package Drakxtools-Guide-it
Summary:        The %distrib_name manuals in Italian
Group:          %group
Requires:       locales-it
Requires:       mandrake-doc-common = %version-%release
Obsoletes:      mandrake_doc-drakxtools-it
Provides:       mandrake_doc-drakxtools-it = %version
Obsoletes:      mandrake-doc-drakxtools-it
Provides:       mandrake-doc-drakxtools-it = %version

%description Drakxtools-Guide-it
This package contains some useful documentation for %distrib_name systems.
This documentation is directly accessible through the main menu.

%package Quick-Startup-Plus-it
Summary:        The %distrib_name manuals in Italian
Group:          %group
Requires:       locales-it
Requires:       mandrake-doc-common = %version-%release
Obsoletes:      mandrake_doc-it
Provides:       mandrake_doc-it = %version
Obsoletes:      mandrake-doc-it
Provides:       mandrake-doc-it = %version

%description Quick-Startup-Plus-it
This package contains some useful documentation for %distrib_name systems.
This documentation is directly accessible through the main menu.

%package Drakxtools-Guide-de
Summary:        The %distrib_name manuals in German
Group:          %group
Requires:       locales-de
Requires:       mandrake-doc-common = %version-%release
Obsoletes:      mandrake_doc-drakxtools-de
Provides:       mandrake_doc-drakxtools-de = %version
Obsoletes:      mandrake-doc-drakxtools-de
Provides:       mandrake-doc-drakxtools-de = %version

%description Drakxtools-Guide-de
This package contains some useful documentation for %distrib_name systems.
This documentation is directly accessible through the main menu.

%package Quick-Startup-Plus-de
Summary:        The %distrib_name manuals in German
Group:          %group
Requires:       locales-de
Requires:       mandrake-doc-common = %version-%release
Obsoletes:      mandrake_doc-de
Provides:       mandrake_doc-de = %version
Obsoletes:      mandrake-doc-de
Provides:       mandrake-doc-de = %version

%description Quick-Startup-Plus-de
This package contains some useful documentation for %distrib_name systems.
This documentation is directly accessible through the main menu.

%package Drakxtools-Guide-es
Summary:        The %distrib_name manuals in Spanish
Group:          %group
Requires:       locales-es
Requires:       mandrake-doc-common = %version-%release
Obsoletes:      mandrake_doc-drakxtools-es
Provides:       mandrake_doc-drakxtools-es = %version
Obsoletes:      mandrake-doc-drakxtools-es
Provides:       mandrake-doc-drakxtools-es = %version

%description Drakxtools-Guide-es
This package contains some useful documentation for %distrib_name systems.
This documentation is directly accessible through the main menu.

%package Starter-es
Summary:        The %distrib_name manuals in Spanish
Group:          %group
Requires:       locales-es
Requires:       mandrake-doc-common = %version-%release
Obsoletes:      mandrake_doc-es
Provides:       mandrake_doc-es = %version
Obsoletes:      mandrake-doc-es
Provides:       mandrake-doc-es = %version

%description Starter-es
This package contains some useful documentation for %distrib_name systems.
This documentation is directly accessible through the main menu.

%package Command-Line-es
Summary:        The %distrib_name manuals in Spanish
Group:          %group
Requires:       locales-es
Requires:       mandrake-doc-common = %version-%release
Obsoletes:      mandrake_doc-es
Provides:       mandrake_doc-es = %version
Obsoletes:      mandrake-doc-es
Provides:       mandrake-doc-es = %version

%description Command-Line-es
This package contains some useful documentation for %distrib_name systems.
This documentation is directly accessible through the main menu.




%package common
Summary:	Common data for all %distrib_name specific documentation
Group:		%group
Conflicts:	mandrake_doc < 9.2
Obsoletes: 	mandrake_doc-common
Provides:	mandrake_doc-common

%description common

This package contains common icons and images for all %distrib_nam
specific documentation, plus the index file matching Help IDs to HTML
help pages.


%prep

%setup -q -a 1

%build

./configure
make all MAX_TEX_RECURSION=10

%install
rm -fr %buildroot


install -d -m 0755 %buildroot/%_menudir


#install the books themselves and menu entries
DESTDIR=%buildroot/%{_docdir}

install -d -m 0755 $DESTDIR/mandrake/images/


# build menu entry
cat > %buildroot/%_menudir/%name-Drakxtools-Guide-en <<EOF
?package(mandrake-doc-Drakxtools-Guide-en): \
command="%{_bindir}/www-browser %_docdir/mandrake/en/Drakxtools-Guide/index.html" \
icon="documentation_section.png" \
needs="x11" \
title="%distrib_name DrakXTools User Manual in English" \
longtitle="%distrib_name DrakXTools User Manual in English" \
section="Documentation"
EOF
# install manuals
install -d -m 0755 $DESTDIR/mandrake/en/
install -d -m 0755 $DESTDIR/mandrake/en/Drakxtools-Guide/
mv Outputs/%name/en/Drakxtools-Guide.* $DESTDIR/mandrake/en/Drakxtools-Guide/

# build menu entry
cat > %buildroot/%_menudir/%name-Starter-en <<EOF
?package(mandrake-doc-Starter-en): \
command="%{_bindir}/www-browser %_docdir/mandrake/en/Starter/index.html" \
icon="documentation_section.png" \
needs="x11" \
title="%distrib_name Starter Guide in English" \
longtitle="%distrib_name Starter Guide in English" \
section="Documentation"
EOF
# install manuals
install -d -m 0755 $DESTDIR/mandrake/en/
install -d -m 0755 $DESTDIR/mandrake/en/Starter/
mv Outputs/%name/en/Starter.* $DESTDIR/mandrake/en/Starter/

# build menu entry
cat > %buildroot/%_menudir/%name-Command-Line-en <<EOF
?package(mandrake-doc-Command-Line-en): \
command="%{_bindir}/www-browser %_docdir/mandrake/en/Command-Line/index.html" \
icon="documentation_section.png" \
needs="x11" \
title="%distrib_name Reference Manual in English" \
longtitle="%distrib_name Reference Manual in English" \
section="Documentation"
EOF
# install manuals
install -d -m 0755 $DESTDIR/mandrake/en/
install -d -m 0755 $DESTDIR/mandrake/en/Command-Line/
mv Outputs/%name/en/Command-Line.* $DESTDIR/mandrake/en/Command-Line/

# build menu entry
cat > %buildroot/%_menudir/%name-Drakxtools-Guide-fr <<EOF
?package(mandrake-doc-Drakxtools-Guide-fr): \
command="%{_bindir}/www-browser %_docdir/mandrake/fr/Drakxtools-Guide/index.html" \
icon="documentation_section.png" \
needs="x11" \
title="%distrib_name DrakXTools User Manual in French" \
longtitle="%distrib_name DrakXTools User Manual in French" \
section="Documentation"
EOF
# install manuals
install -d -m 0755 $DESTDIR/mandrake/fr/
install -d -m 0755 $DESTDIR/mandrake/fr/Drakxtools-Guide/
mv Outputs/%name/fr/Drakxtools-Guide.* $DESTDIR/mandrake/fr/Drakxtools-Guide/

# build menu entry
cat > %buildroot/%_menudir/%name-Starter-fr <<EOF
?package(mandrake-doc-Starter-fr): \
command="%{_bindir}/www-browser %_docdir/mandrake/fr/Starter/index.html" \
icon="documentation_section.png" \
needs="x11" \
title="%distrib_name Starter Guide in French" \
longtitle="%distrib_name Starter Guide in French" \
section="Documentation"
EOF
# install manuals
install -d -m 0755 $DESTDIR/mandrake/fr/
install -d -m 0755 $DESTDIR/mandrake/fr/Starter/
mv Outputs/%name/fr/Starter.* $DESTDIR/mandrake/fr/Starter/

# build menu entry
cat > %buildroot/%_menudir/%name-Command-Line-fr <<EOF
?package(mandrake-doc-Command-Line-fr): \
command="%{_bindir}/www-browser %_docdir/mandrake/fr/Command-Line/index.html" \
icon="documentation_section.png" \
needs="x11" \
title="%distrib_name Reference Manual in French" \
longtitle="%distrib_name Reference Manual in French" \
section="Documentation"
EOF
# install manuals
install -d -m 0755 $DESTDIR/mandrake/fr/
install -d -m 0755 $DESTDIR/mandrake/fr/Command-Line/
mv Outputs/%name/fr/Command-Line.* $DESTDIR/mandrake/fr/Command-Line/

# build menu entry
cat > %buildroot/%_menudir/%name-Drakxtools-Guide-it <<EOF
?package(mandrake-doc-Drakxtools-Guide-it): \
command="%{_bindir}/www-browser %_docdir/mandrake/it/Drakxtools-Guide/index.html" \
icon="documentation_section.png" \
needs="x11" \
title="%distrib_name DrakXTools User Manual in Italian" \
longtitle="%distrib_name DrakXTools User Manual in Italian" \
section="Documentation"
EOF
# install manuals
install -d -m 0755 $DESTDIR/mandrake/it/
install -d -m 0755 $DESTDIR/mandrake/it/Drakxtools-Guide/
mv Outputs/%name/it/Drakxtools-Guide.* $DESTDIR/mandrake/it/Drakxtools-Guide/

# build menu entry
cat > %buildroot/%_menudir/%name-Quick-Startup-Plus-it <<EOF
?package(mandrake-doc-Quick-Startup-Plus-it): \
command="%{_bindir}/www-browser %_docdir/mandrake/it/Quick-Startup-Plus/index.html" \
icon="documentation_section.png" \
needs="x11" \
title="%distrib_name Starter Guide in Italian" \
longtitle="%distrib_name Starter Guide in Italian" \
section="Documentation"
EOF
# install manuals
install -d -m 0755 $DESTDIR/mandrake/it/
install -d -m 0755 $DESTDIR/mandrake/it/Quick-Startup-Plus/
mv Outputs/%name/it/Quick-Startup-Plus.* $DESTDIR/mandrake/it/Quick-Startup-Plus/

# build menu entry
cat > %buildroot/%_menudir/%name-Drakxtools-Guide-de <<EOF
?package(mandrake-doc-Drakxtools-Guide-de): \
command="%{_bindir}/www-browser %_docdir/mandrake/de/Drakxtools-Guide/index.html" \
icon="documentation_section.png" \
needs="x11" \
title="%distrib_name DrakXTools User Manual in German" \
longtitle="%distrib_name DrakXTools User Manual in German" \
section="Documentation"
EOF
# install manuals
install -d -m 0755 $DESTDIR/mandrake/de/
install -d -m 0755 $DESTDIR/mandrake/de/Drakxtools-Guide/
mv Outputs/%name/de/Drakxtools-Guide.* $DESTDIR/mandrake/de/Drakxtools-Guide/

# build menu entry
cat > %buildroot/%_menudir/%name-Quick-Startup-Plus-de <<EOF
?package(mandrake-doc-Quick-Startup-Plus-de): \
command="%{_bindir}/www-browser %_docdir/mandrake/de/Quick-Startup-Plus/index.html" \
icon="documentation_section.png" \
needs="x11" \
title="%distrib_name Starter Guide in German" \
longtitle="%distrib_name Starter Guide in German" \
section="Documentation"
EOF
# install manuals
install -d -m 0755 $DESTDIR/mandrake/de/
install -d -m 0755 $DESTDIR/mandrake/de/Quick-Startup-Plus/
mv Outputs/%name/de/Quick-Startup-Plus.* $DESTDIR/mandrake/de/Quick-Startup-Plus/

# build menu entry
cat > %buildroot/%_menudir/%name-Drakxtools-Guide-es <<EOF
?package(mandrake-doc-Drakxtools-Guide-es): \
command="%{_bindir}/www-browser %_docdir/mandrake/es/Drakxtools-Guide/index.html" \
icon="documentation_section.png" \
needs="x11" \
title="%distrib_name DrakXTools User Manual in Spanish" \
longtitle="%distrib_name DrakXTools User Manual in Spanish" \
section="Documentation"
EOF
# install manuals
install -d -m 0755 $DESTDIR/mandrake/es/
install -d -m 0755 $DESTDIR/mandrake/es/Drakxtools-Guide/
mv Outputs/%name/es/Drakxtools-Guide.* $DESTDIR/mandrake/es/Drakxtools-Guide/

# build menu entry
cat > %buildroot/%_menudir/%name-Starter-es <<EOF
?package(mandrake-doc-Starter-es): \
command="%{_bindir}/www-browser %_docdir/mandrake/es/Starter/index.html" \
icon="documentation_section.png" \
needs="x11" \
title="%distrib_name Starter Guide in Spanish" \
longtitle="%distrib_name Starter Guide in Spanish" \
section="Documentation"
EOF
# install manuals
install -d -m 0755 $DESTDIR/mandrake/es/
install -d -m 0755 $DESTDIR/mandrake/es/Starter/
mv Outputs/%name/es/Starter.* $DESTDIR/mandrake/es/Starter/

# build menu entry
cat > %buildroot/%_menudir/%name-Command-Line-es <<EOF
?package(mandrake-doc-Command-Line-es): \
command="%{_bindir}/www-browser %_docdir/mandrake/es/Command-Line/index.html" \
icon="documentation_section.png" \
needs="x11" \
title="%distrib_name Reference Manual in Spanish" \
longtitle="%distrib_name Reference Manual in Spanish" \
section="Documentation"
EOF
# install manuals
install -d -m 0755 $DESTDIR/mandrake/es/
install -d -m 0755 $DESTDIR/mandrake/es/Command-Line/
mv Outputs/%name/es/Command-Line.* $DESTDIR/mandrake/es/Command-Line/



# build HTML index file
cat > $DESTDIR/mandrake/en/Drakxtools-Guide/index.html <<EOF
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
</head>
<body>
<center>
<img src="../../images/MDKlinux.png" border="0">
<br/><br/>
<table style="width: 80%;" >
  <tbody>
    <tr>
      <a href="Drakxtools-Guide.html/index.html">
      <img src="../../images/manuel-face.png" align="center" border="0">
       HTML</a>
    </tr>
    <tr>
      <a href="Drakxtools-Guide.pdf">
      <img src="../../images/manuel-face.png" align="center" border="0"> 
      PDF</a>
      </tr>
    </tbody>
  </table>
</center>
</body>
</html>
EOF
# build HTML index file
cat > $DESTDIR/mandrake/en/Starter/index.html <<EOF
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
</head>
<body>
<center>
<img src="../../images/MDKlinux.png" border="0">
<br/><br/>
<table style="width: 80%;" >
  <tbody>
    <tr>
      <a href="Starter.html/index.html">
      <img src="../../images/manuel-face.png" align="center" border="0">
       HTML</a>
    </tr>
    <tr>
      <a href="Starter.pdf">
      <img src="../../images/manuel-face.png" align="center" border="0"> 
      PDF</a>
      </tr>
    </tbody>
  </table>
</center>
</body>
</html>
EOF
# build HTML index file
cat > $DESTDIR/mandrake/en/Command-Line/index.html <<EOF
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
</head>
<body>
<center>
<img src="../../images/MDKlinux.png" border="0">
<br/><br/>
<table style="width: 80%;" >
  <tbody>
    <tr>
      <a href="Command-Line.html/index.html">
      <img src="../../images/manuel-face.png" align="center" border="0">
       HTML</a>
    </tr>
    <tr>
      <a href="Command-Line.pdf">
      <img src="../../images/manuel-face.png" align="center" border="0"> 
      PDF</a>
      </tr>
    </tbody>
  </table>
</center>
</body>
</html>
EOF
# build HTML index file
cat > $DESTDIR/mandrake/fr/Drakxtools-Guide/index.html <<EOF
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
</head>
<body>
<center>
<img src="../../images/MDKlinux.png" border="0">
<br/><br/>
<table style="width: 80%;" >
  <tbody>
    <tr>
      <a href="Drakxtools-Guide.html/index.html">
      <img src="../../images/manuel-face.png" align="center" border="0">
       HTML</a>
    </tr>
    <tr>
      <a href="Drakxtools-Guide.pdf">
      <img src="../../images/manuel-face.png" align="center" border="0"> 
      PDF</a>
      </tr>
    </tbody>
  </table>
</center>
</body>
</html>
EOF
# build HTML index file
cat > $DESTDIR/mandrake/fr/Starter/index.html <<EOF
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
</head>
<body>
<center>
<img src="../../images/MDKlinux.png" border="0">
<br/><br/>
<table style="width: 80%;" >
  <tbody>
    <tr>
      <a href="Starter.html/index.html">
      <img src="../../images/manuel-face.png" align="center" border="0">
       HTML</a>
    </tr>
    <tr>
      <a href="Starter.pdf">
      <img src="../../images/manuel-face.png" align="center" border="0"> 
      PDF</a>
      </tr>
    </tbody>
  </table>
</center>
</body>
</html>
EOF
# build HTML index file
cat > $DESTDIR/mandrake/fr/Command-Line/index.html <<EOF
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
</head>
<body>
<center>
<img src="../../images/MDKlinux.png" border="0">
<br/><br/>
<table style="width: 80%;" >
  <tbody>
    <tr>
      <a href="Command-Line.html/index.html">
      <img src="../../images/manuel-face.png" align="center" border="0">
       HTML</a>
    </tr>
    <tr>
      <a href="Command-Line.pdf">
      <img src="../../images/manuel-face.png" align="center" border="0"> 
      PDF</a>
      </tr>
    </tbody>
  </table>
</center>
</body>
</html>
EOF
# build HTML index file
cat > $DESTDIR/mandrake/it/Drakxtools-Guide/index.html <<EOF
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
</head>
<body>
<center>
<img src="../../images/MDKlinux.png" border="0">
<br/><br/>
<table style="width: 80%;" >
  <tbody>
    <tr>
      <a href="Drakxtools-Guide.html/index.html">
      <img src="../../images/manuel-face.png" align="center" border="0">
       HTML</a>
    </tr>
    <tr>
      <a href="Drakxtools-Guide.pdf">
      <img src="../../images/manuel-face.png" align="center" border="0"> 
      PDF</a>
      </tr>
    </tbody>
  </table>
</center>
</body>
</html>
EOF
# build HTML index file
cat > $DESTDIR/mandrake/it/Quick-Startup-Plus/index.html <<EOF
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
</head>
<body>
<center>
<img src="../../images/MDKlinux.png" border="0">
<br/><br/>
<table style="width: 80%;" >
  <tbody>
    <tr>
      <a href="Quick-Startup-Plus.html/index.html">
      <img src="../../images/manuel-face.png" align="center" border="0">
       HTML</a>
    </tr>
    <tr>
      <a href="Quick-Startup-Plus.pdf">
      <img src="../../images/manuel-face.png" align="center" border="0"> 
      PDF</a>
      </tr>
    </tbody>
  </table>
</center>
</body>
</html>
EOF
# build HTML index file
cat > $DESTDIR/mandrake/de/Drakxtools-Guide/index.html <<EOF
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
</head>
<body>
<center>
<img src="../../images/MDKlinux.png" border="0">
<br/><br/>
<table style="width: 80%;" >
  <tbody>
    <tr>
      <a href="Drakxtools-Guide.html/index.html">
      <img src="../../images/manuel-face.png" align="center" border="0">
       HTML</a>
    </tr>
    <tr>
      <a href="Drakxtools-Guide.pdf">
      <img src="../../images/manuel-face.png" align="center" border="0"> 
      PDF</a>
      </tr>
    </tbody>
  </table>
</center>
</body>
</html>
EOF
# build HTML index file
cat > $DESTDIR/mandrake/de/Quick-Startup-Plus/index.html <<EOF
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
</head>
<body>
<center>
<img src="../../images/MDKlinux.png" border="0">
<br/><br/>
<table style="width: 80%;" >
  <tbody>
    <tr>
      <a href="Quick-Startup-Plus.html/index.html">
      <img src="../../images/manuel-face.png" align="center" border="0">
       HTML</a>
    </tr>
    <tr>
      <a href="Quick-Startup-Plus.pdf">
      <img src="../../images/manuel-face.png" align="center" border="0"> 
      PDF</a>
      </tr>
    </tbody>
  </table>
</center>
</body>
</html>
EOF
# build HTML index file
cat > $DESTDIR/mandrake/es/Drakxtools-Guide/index.html <<EOF
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
</head>
<body>
<center>
<img src="../../images/MDKlinux.png" border="0">
<br/><br/>
<table style="width: 80%;" >
  <tbody>
    <tr>
      <a href="Drakxtools-Guide.html/index.html">
      <img src="../../images/manuel-face.png" align="center" border="0">
       HTML</a>
    </tr>
    <tr>
      <a href="Drakxtools-Guide.pdf">
      <img src="../../images/manuel-face.png" align="center" border="0"> 
      PDF</a>
      </tr>
    </tbody>
  </table>
</center>
</body>
</html>
EOF
# build HTML index file
cat > $DESTDIR/mandrake/es/Starter/index.html <<EOF
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
</head>
<body>
<center>
<img src="../../images/MDKlinux.png" border="0">
<br/><br/>
<table style="width: 80%;" >
  <tbody>
    <tr>
      <a href="Starter.html/index.html">
      <img src="../../images/manuel-face.png" align="center" border="0">
       HTML</a>
    </tr>
    <tr>
      <a href="Starter.pdf">
      <img src="../../images/manuel-face.png" align="center" border="0"> 
      PDF</a>
      </tr>
    </tbody>
  </table>
</center>
</body>
</html>
EOF
# build HTML index file
cat > $DESTDIR/mandrake/es/Command-Line/index.html <<EOF
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
</head>
<body>
<center>
<img src="../../images/MDKlinux.png" border="0">
<br/><br/>
<table style="width: 80%;" >
  <tbody>
    <tr>
      <a href="Command-Line.html/index.html">
      <img src="../../images/manuel-face.png" align="center" border="0">
       HTML</a>
    </tr>
    <tr>
      <a href="Command-Line.pdf">
      <img src="../../images/manuel-face.png" align="center" border="0"> 
      PDF</a>
      </tr>
    </tbody>
  </table>
</center>
</body>
</html>
EOF


# install ctxhelp.pm which tells drakhelp which HTML help page
# corresponds to which application help button
install -d -m 0755 %buildroot/%{libdrakx}/
install -m 0644 %name/ctxhelp.pm %buildroot/%{libdrakx}/
install -d -m 0755 %buildroot/%_sbindir/
install -m 0755 %name/drakhelp_inst %buildroot/%_sbindir/
# install images for index files
for i in mandrake-doc/images/*; do
  install -m 0644 $i %buildroot/%_docdir/mandrake/images/
done

%clean
rm -fr %buildroot


%post Drakxtools-Guide-en
%update_menus
%postun Drakxtools-Guide-en
%clean_menus

%post Starter-en
%update_menus
%postun Starter-en
%clean_menus

%post Command-Line-en
%update_menus
%postun Command-Line-en
%clean_menus

%post Drakxtools-Guide-fr
%update_menus
%postun Drakxtools-Guide-fr
%clean_menus

%post Starter-fr
%update_menus
%postun Starter-fr
%clean_menus

%post Command-Line-fr
%update_menus
%postun Command-Line-fr
%clean_menus

%post Drakxtools-Guide-it
%update_menus
%postun Drakxtools-Guide-it
%clean_menus

%post Quick-Startup-Plus-it
%update_menus
%postun Quick-Startup-Plus-it
%clean_menus

%post Drakxtools-Guide-de
%update_menus
%postun Drakxtools-Guide-de
%clean_menus

%post Quick-Startup-Plus-de
%update_menus
%postun Quick-Startup-Plus-de
%clean_menus

%post Drakxtools-Guide-es
%update_menus
%postun Drakxtools-Guide-es
%clean_menus

%post Starter-es
%update_menus
%postun Starter-es
%clean_menus

%post Command-Line-es
%update_menus
%postun Command-Line-es
%clean_menus




%files common
%defattr(-,root,root)
%dir %_docdir/mandrake/
%{libdrakx}/ctxhelp.pm
%_sbindir/drakhelp_inst
%docdir %_docdir/mandrake/images/
%dir %_docdir/mandrake/images/
%doc %_docdir/mandrake/images/*


%files Drakxtools-Guide-en
%defattr(-,root,root)
%_menudir/%name-Drakxtools-Guide-en
%dir %_docdir/mandrake/en/Drakxtools-Guide
%doc %_docdir/mandrake/en/Drakxtools-Guide/*

%files Starter-en
%defattr(-,root,root)
%_menudir/%name-Starter-en
%dir %_docdir/mandrake/en/Starter
%doc %_docdir/mandrake/en/Starter/*

%files Command-Line-en
%defattr(-,root,root)
%_menudir/%name-Command-Line-en
%dir %_docdir/mandrake/en/Command-Line
%doc %_docdir/mandrake/en/Command-Line/*

%files Drakxtools-Guide-fr
%defattr(-,root,root)
%_menudir/%name-Drakxtools-Guide-fr
%dir %_docdir/mandrake/fr/Drakxtools-Guide
%doc %_docdir/mandrake/fr/Drakxtools-Guide/*

%files Starter-fr
%defattr(-,root,root)
%_menudir/%name-Starter-fr
%dir %_docdir/mandrake/fr/Starter
%doc %_docdir/mandrake/fr/Starter/*

%files Command-Line-fr
%defattr(-,root,root)
%_menudir/%name-Command-Line-fr
%dir %_docdir/mandrake/fr/Command-Line
%doc %_docdir/mandrake/fr/Command-Line/*

%files Drakxtools-Guide-it
%defattr(-,root,root)
%_menudir/%name-Drakxtools-Guide-it
%dir %_docdir/mandrake/it/Drakxtools-Guide
%doc %_docdir/mandrake/it/Drakxtools-Guide/*

%files Quick-Startup-Plus-it
%defattr(-,root,root)
%_menudir/%name-Quick-Startup-Plus-it
%dir %_docdir/mandrake/it/Quick-Startup-Plus
%doc %_docdir/mandrake/it/Quick-Startup-Plus/*

%files Drakxtools-Guide-de
%defattr(-,root,root)
%_menudir/%name-Drakxtools-Guide-de
%dir %_docdir/mandrake/de/Drakxtools-Guide
%doc %_docdir/mandrake/de/Drakxtools-Guide/*

%files Quick-Startup-Plus-de
%defattr(-,root,root)
%_menudir/%name-Quick-Startup-Plus-de
%dir %_docdir/mandrake/de/Quick-Startup-Plus
%doc %_docdir/mandrake/de/Quick-Startup-Plus/*

%files Drakxtools-Guide-es
%defattr(-,root,root)
%_menudir/%name-Drakxtools-Guide-es
%dir %_docdir/mandrake/es/Drakxtools-Guide
%doc %_docdir/mandrake/es/Drakxtools-Guide/*

%files Starter-es
%defattr(-,root,root)
%_menudir/%name-Starter-es
%dir %_docdir/mandrake/es/Starter
%doc %_docdir/mandrake/es/Starter/*

%files Command-Line-es
%defattr(-,root,root)
%_menudir/%name-Command-Line-es
%dir %_docdir/mandrake/es/Command-Line
%doc %_docdir/mandrake/es/Command-Line/*



%changelog
* Thu Apr  7 2005 Camille Begnis <camille@mandrakesoft.com> 10.2-2mdk
- bugfixes

* Tue Apr  5 2005 Camille Begnis <camille@mandrakesoft.com> 10.2-1mdk
- update doc

* Sun Apr  3 2005 Camille Begnis <camille@mandrakesoft.com> 10.2-0.6mdk
- update doc
- add PDF for DrakXtools guide

* Fri Apr  1 2005 Camille Begnis <camille@mandrakesoft.com> 10.2-0.5mdk
- update doc

* Thu Mar 31 2005 Camille Begnis <camille@mandrakesoft.com> 10.2-0.4mdk
- Add HTML index for each package

* Wed Mar 30 2005 Camille Begnis <camille@mandrakesoft.com> 10.2-0.3mdk
- increase MAX_TEX_RECURSION to get proper page references in PDF
- update doc

* Mon Mar 28 2005 Camille Begnis <camille@mandrakesoft.com> 10.2-0.2mdk
- fix obsoletes/provides

* Fri Mar 25 2005 Camille Begnis <camille@mandrakesoft.com> 10.2-0.1mdk
- 10.2 first drafts
- split all manuals in different packages
- use automatic spec generator

* Mon Oct  4 2004 Frederic Lepied <flepied@mandrakesoft.com> 10.1-1mdk
- final version from Camille tar ball

* Thu Sep 30 2004 Camille Begnis <camille@mandrakesoft.com> 10.1-0.4mdk
- update doc

* Wed Sep 29 2004 Camille Begnis <camille@mandrakesoft.com> 10.1-0.3mdk
- update doc

* Fri Sep 10 2004 Camille Begnis <camille@mandrakesoft.com> 10.1-0.2mdk
- update doc
- fix menu sections
- Dadou: fix browser used in menu

* Tue Aug 24 2004 Camille Begnis <camille@mandrakesoft.com> 10.1-0.1mdk
- 10.1 draft manuals
- added command line manual in Chinese

* Tue May 25 2004 Camille Begnis <camille@mandrakesoft.com> 10.0-5mdk
- Some documents did not use DTD 4.2

* Mon May 10 2004 Camille Begnis <camille@mandrakesoft.com> 10.0-4mdk
- Fix provides and obsoletes
- Added chinese
- updated all manuals
- Added some manuals in German and Spanish

* Thu Mar 25 2004 Camille Begnis <camille@mandrakesoft.com> 10.0-3mdk
- Added required obsoletes and provides for update

* Wed Mar 24 2004 Camille Begnis <camille@mandrakesoft.com> 10.0-2mdk
- License is not GFDL anymore

* Wed Mar 24 2004 Camille Begnis <camille@mandrakesoft.com> 10.0-1mdk
- Removed Russian that is not finished.
- Hopefuly final version for 10.0

* Sun Mar 14 2004 Camille Begnis <camille@mandrakesoft.com> 10.0-0.3mdk
- buildrequires locales-??

* Wed Mar 10 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 10.0-0.2.1mdk
- fix ctxhelp.pm location

* Mon Feb  9 2004 Camille Begnis <camille@mandrakesoft.com> 10.0-0.2mdk
- use right ctxhelp.pm this time

* Fri Feb  6 2004 Camille Begnis <camille@mandrakesoft.com> 10.0-0.1mdk
- added drakxtools-it
- ctxhelp.pm updated

* Mon Dec 29 2003 Camille Begnis <camille@mandrakesoft.com> 9.2-5mdk
- rename package to mandrake-doc instead of mandrake_doc
- Use new Borges "pool" feature
- added tetex-cmsuper build require.

* Mon Nov 24 2003 Camille Begnis <camille@mandrakesoft.com> 9.2-4mdk
- Fixed fr/index.html

* Fri Nov 21 2003 Camille Begnis <camille@mandrakesoft.com> 9.2-3mdk
- Replaced Discovery by Starter in FR

* Thu Nov 20 2003 Camille Begnis <camille@mandrakesoft.com> 9.2-2mdk
- Update doc according to last minute changes
- Improve translations and proofreading

* Sun Sep 21 2003  <camille@ke.mandrakesoft.com> 9.2-0.9mdk
- changed \%make to make because one image did not compile !?!?
- update doc and index.html's

* Sat Sep 20 2003  <camille@ke.mandrakesoft.com> 9.2-0.9mdk
- Fix index.html's
- update doc

* Wed Sep 17 2003  <camille@ke.mandrakesoft.com> 9.2-0.8mdk
- removed locales-en requirement

* Wed Sep 17 2003  <camille@ke.mandrakesoft.com> 9.2-0.7mdk
- update doc
- adjust manuals that should be available

* Mon Sep  8 2003  <camille@ke.mandrakesoft.com> 9.2-0.6mdk
- Source2 & 3 are included in mandrake_doc.tar.bz2 (now on CVS)

* Mon Sep  8 2003  <camille@ke.mandrakesoft.com> 9.2-0.5mdk
- Deush updated perl code
- doc updated

* Fri Sep  5 2003  <camille@ke.mandrakesoft.com> 9.2-0.4mdk
- update
- remove drakxtools from main doc

* Wed Sep  3 2003  <camille@ke.mandrakesoft.com> 9.2-0.3mdk
- added /usr/sbin/drakhelp_inst

* Tue Sep  2 2003  <camille@ke.mandrakesoft.com> 9.2-0.2mdk
- added mandrake_doc-common package to hold icons and ctxhelp.pm
- Conflicts:	mandrake_doc < 9.2

* Thu Aug 28 2003  <camille@ke.mandrakesoft.com> 9.2-0.1mdk
- New for Mandrake Linux 9.2
- Added ctxhelp.pm for drakhelp

* Thu Mar 13 2003  <camille@ke.mandrakesoft.com> 9.1-2mdk
- update MCC icons

* Wed Mar 12 2003  <camille@ke.mandrakesoft.com> 9.1-1mdk
- removed mandrakecampus from index.html
- updated doc
- normally final RPM for 9.1 

* Mon Mar 10 2003  <camille@ke.mandrakesoft.com> 9.1-0.7mdk
- update doc
- Remove manuals not ready
- update index.html's

* Fri Mar  7 2003  <camille@ke.mandrakesoft.com> 9.1-0.6mdk
- update doc
- add new Quick-Startup-Plus manual for DE, ES, IT

* Wed Feb 26 2003  <camille@ke.mandrakesoft.com> 9.1-0.5mdk
- update doc

* Fri Feb 14 2003  <camille@ke.mandrakesoft.com> 9.1-0.4mdk
- update doc

* Wed Feb  5 2003  <camille@ke.mandrakesoft.com> 9.1-0.3mdk
- Put each tool on a separate HTML page

* Tue Feb  4 2003  <camille@ke.mandrakesoft.com> 9.1-0.2mdk
- Improve TOCs notably for DrakXTools manual (is it OK Titi?)

* Mon Feb 03 2003 Camille <camille@ke.mandrakesoft.com> 9.1-0.1mdk
- Adapt to new Borges API
- Added drakxtools doc packages

* Thu Dec 19 2002  <camille@ke.mandrakesoft.com> 9.0-2mdk
- sligtly updated doc in all languages
- Some more manuals translated (Utalian, Russian)

* Fri Sep 20 2002  <camille@ke.mandrakesoft.com> 9.0-1mdk
- Final doc for 9.0 CDs (hopefuly)

* Thu Sep 19 2002  <camille@ke.mandrakesoft.com> 9.0-0.6mdk
- Fix buggy install script
- update doc
- update html index welcome pages

* Wed Sep 18 2002  <camille@ke.mandrakesoft.com> 9.0-0.5mdk
- Update doc, fix html index welcome pages in all languages

* Tue Sep 17 2002  <camille@ke.mandrakesoft.com> 9.0-0.4mdk
- update doc, suppress manuals not translated

* Sun Sep 15 2002  <camille@ke.mandrakesoft.com> 9.0-0.3mdk
- Updated docs and index html pages

* Fri Sep  6 2002  <camille@ke.mandrakesoft.com> 9.0-0.2mdk
- now all manuals

* Wed Sep 4 2002 Camille Begnis <camille@mandrakesoft.com> 9.0-0.1mdk
- 9.0 first specs with Borges system

* Wed Feb 20 2002 Camille Begnis <camille@mandrakesoft.com> 8.2-1mdk
- Hopefully the final release.

* Wed Feb 20 2002 Camille Begnis <camille@mandrakesoft.com> 8.2-0.4mdk
- Update content + index manual image (ln)
- Compile only HTML, not PDF

* Wed Feb 20 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 8.2-0.3mdk
- Escape $BROWSER in menu file 

* Wed Feb 20 2002 Camille Begnis <camille@mandrakesoft.com> 8.2-0.2mdk
- Some updates in manuals

* Sat Feb 16 2002 Camille Begnis <camille@mandrakesoft.com> 8.2-0.1mdk
- First drafts for 8.2 manuals

* Wed Dec 26 2001 David BAUDENS <baudens@mandrakesoft.com> 8.1-3mdk
- s/Linux?Mandrake/Mandrake Linux/
- Clean spec (macros, make it readable, fix Group, don't untar/bzip2 the same
  source twice, etc.)
- Use default documentation icon for menu

* Tue Oct 09 2001 Camille Begnis <camille@mandrakesoft.com> 8.1-2mdk
- updated doc
 
* Fri Sep 21 2001 Camille Begnis <camille@mandrakesoft.com> 8.1-1mdk
- updated doc

* Fri Sep 21 2001 Camille Begnis <camille@mandrakesoft.com> 8.1-0.4mdk
- updated some texts
- updated doc

* Tue Sep 18 2001 Camille Begnis <camille@mandrakesoft.com> 8.1-0.3mdk
- updated some texts
- updated doc

* Wed Sep 08 2001 Camille Begnis <camille@mandrakesoft.com> 8.1-0.2mdk
- new index page with new images
- updated doc

* Sat Sep 08 2001 Camille Begnis <camille@mandrakesoft.com> 8.1-0.1mdk
- first beta 8.1 for beta3

* Tue Apr 17 2001 Camille Begnis <camille@mandrakesoft.com> 8.0-2mdk
- Remove unused images and &shy;

* Sun Apr 15 2001 Camille Begnis <camille@mandrakesoft.com> 8.0-1mdk
- HTML 8.0 finale

* Tue Mar 27 2001 Camille Begnis <camille@mandrakesoft.com> 8.0-0.2mdk
- update doc
- fix menu entry

* Tue Mar 27 2001 Camille Begnis <camille@mandrakesoft.com> 8.0-0.1mdk
- 8.0 alpha documentation

* Wed Oct 24 2000 Camille Begnis <camille@mandrakesoft.com> 0.5-9mdk
- add italian sources
- suppress russian

* Wed Oct 24 2000 Camille Begnis <camille@mandrakesoft.com> 0.5-8mdk
- fix broken link in en/index.html

* Wed Oct 11 2000 Camille Begnis <camille@mandrakesoft.com> 0.5-7mdk
- bugfix in sources

* Thu Oct 05 2000 Camille Begnis <camille@mandrakesoft.com> 0.5-6mdk
- fix images paths in index.html's
- use different menu names (xx)

* Thu Oct 05 2000 Camille Begnis <camille@mandrakesoft.com> 0.5-5mdk
- Updated docs: en+fr+de+es finished
- better integration of sources

* Wed Oct 04 2000 Daouda Lo <daouda@mandrakesoft.com> 0.5-4mdk
- hat icons really removed.
- correct some paths and links.

* Wed Sep 27 2000 Camille Begnis <camille@mandrakesoft.com> 0.5-3mdk
- solve icons conflict

* Wed Sep 27 2000 Camille Begnis <camille@mandrakesoft.com> 0.5-2mdk
- Update
- Suppress KDE doc

* Sat Sep 16 2000 Camille Begnis <camille@mandrakesoft.com> 0.5-1mdk
- doc drafts for 7.2

* Thu May 11 2000 Camille Begnis <camille@mandrakesoft.com> 0.4-4mdk
- updated images

* Wed May 10 2000 Camille Begnis <camille@mandrakesoft.com> 0.4-3mdk
- updated doc 

* Tue May 09 2000 Camille Begnis <camille@mandrakesoft.com> 0.4-2mdk
- add menu entry
- updated doc            

* Thu May 04 2000 Camille Begnis <camille@mandrakesoft.com> 0.4-1mdk
- spec update 
- Now split into corporate and power packages

* Wed Jan 12 2000 Francis Galiegue <francis@mandrakesoft.com>

- Now generate all packages, point to English docs when local ones are not
  available


* Thu Jan 06 2000 Francis Galiegue <francis@mandrakesoft.com>

- Transparency sucks

* Thu Jan 06 2000 Francis Galiegue <francis@mandrakesoft.com>

- Compressed GIF images (Unisys sucks, really)

* Wed Jan 05 2000 Francis Galigue <francis@mandrakesoft.com>

- GIF images
- Only generate en and fr packages for now

* Wed Jan 05 2000 Francis Galigue <francis@mandrakesoft.com>

- Updated userguide and installguide

* Wed Dec 22 1999 Pixel <pixel@mandrakesoft.com>
- put this old one to have at least one...
- split in different language

*  Wed Sep 29 1999 Francis Galiegue <francis@mandrakesoft.com>

- %descripion -> %description :(
- fresmeat -> freshmeat...

* Wed Sep 01 1999 Francis GALIEGUE <francis@mandrakesoft.com>

- updated Mandrake user guide in French, English and German
- added French description and summary
- disabled builds other than en and fr for now












